summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-09-21 15:11:06 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-09-22 00:51:58 +0200
commitaf1b333e206ee5365b1670a7593161ebca98e2a4 (patch)
tree4a02c8fa9c1f5ae2568232953b3e6d67b4132092
parenta70912b669f2444651202039deb37a076a4d0a66 (diff)
downloadtde-packaging-gentoo-af1b333e.tar.gz
tde-packaging-gentoo-af1b333e.zip
trinity-base/*: Unrestrict media-libs/libart_lgpl version dep
This was overriding existing ebuild from Gentoo ebuild repository. What is the delta of the fork compared to upstream? Why was it forked in the first place? What made pinning down the version necessary like that? Misc: local mycmakeargs Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--trinity-base/kcontrol/kcontrol-14.0.6.ebuild8
-rw-r--r--trinity-base/kcontrol/kcontrol-14.0.7.ebuild8
-rw-r--r--trinity-base/kcontrol/kcontrol-9999.ebuild6
-rw-r--r--trinity-base/tdelibs/tdelibs-14.0.6.ebuild7
-rw-r--r--trinity-base/tdelibs/tdelibs-14.0.7.ebuild7
-rw-r--r--trinity-base/tdelibs/tdelibs-9999.ebuild7
-rw-r--r--trinity-base/tdm/tdm-14.0.6.ebuild4
-rw-r--r--trinity-base/tdm/tdm-14.0.7.ebuild4
-rw-r--r--trinity-base/tdm/tdm-9999.ebuild6
9 files changed, 27 insertions, 30 deletions
diff --git a/trinity-base/kcontrol/kcontrol-14.0.6.ebuild b/trinity-base/kcontrol/kcontrol-14.0.6.ebuild
index b0b21919..eb253fba 100644
--- a/trinity-base/kcontrol/kcontrol-14.0.6.ebuild
+++ b/trinity-base/kcontrol/kcontrol-14.0.6.ebuild
@@ -3,13 +3,13 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-TRINITY_MODULE_NAME="tdebase"
+TRINITY_MODULE_NAME="tdebase"
inherit trinity-meta-2
DESCRIPTION="The Trinity Control Center"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~x86"
IUSE="samba logitech-mouse ieee1394 +svg +hwlib +xrandr "
DEPEND="x11-libs/libX11
@@ -29,12 +29,12 @@ RDEPEND="${DEPEND}
~trinity-base/tdesu-${PV}
~trinity-base/khelpcenter-${PV}
~trinity-base/khotkeys-${PV}
- svg? ( ~media-libs/libart_lgpl-${PV} )"
+ svg? ( media-libs/libart_lgpl )"
TSM_EXTRACT_ALSO="kicker/ twin/ kdesktop/ klipper/ kxkb/"
src_configure() {
- mycmakeargs=(
+ local mycmakeargs=(
-DWITH_XCURSOR=ON
-DWITH_XRENDER=ON
-DWITH_USBIDS=/usr/share/misc/usb.ids
diff --git a/trinity-base/kcontrol/kcontrol-14.0.7.ebuild b/trinity-base/kcontrol/kcontrol-14.0.7.ebuild
index b0b21919..eb253fba 100644
--- a/trinity-base/kcontrol/kcontrol-14.0.7.ebuild
+++ b/trinity-base/kcontrol/kcontrol-14.0.7.ebuild
@@ -3,13 +3,13 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-TRINITY_MODULE_NAME="tdebase"
+TRINITY_MODULE_NAME="tdebase"
inherit trinity-meta-2
DESCRIPTION="The Trinity Control Center"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~x86"
IUSE="samba logitech-mouse ieee1394 +svg +hwlib +xrandr "
DEPEND="x11-libs/libX11
@@ -29,12 +29,12 @@ RDEPEND="${DEPEND}
~trinity-base/tdesu-${PV}
~trinity-base/khelpcenter-${PV}
~trinity-base/khotkeys-${PV}
- svg? ( ~media-libs/libart_lgpl-${PV} )"
+ svg? ( media-libs/libart_lgpl )"
TSM_EXTRACT_ALSO="kicker/ twin/ kdesktop/ klipper/ kxkb/"
src_configure() {
- mycmakeargs=(
+ local mycmakeargs=(
-DWITH_XCURSOR=ON
-DWITH_XRENDER=ON
-DWITH_USBIDS=/usr/share/misc/usb.ids
diff --git a/trinity-base/kcontrol/kcontrol-9999.ebuild b/trinity-base/kcontrol/kcontrol-9999.ebuild
index 7534260b..2de8b4bf 100644
--- a/trinity-base/kcontrol/kcontrol-9999.ebuild
+++ b/trinity-base/kcontrol/kcontrol-9999.ebuild
@@ -3,8 +3,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-TRINITY_MODULE_NAME="tdebase"
+TRINITY_MODULE_NAME="tdebase"
inherit trinity-meta-2
DESCRIPTION="The Trinity Control Center"
@@ -28,12 +28,12 @@ RDEPEND="${DEPEND}
~trinity-base/tdesu-${PV}
~trinity-base/khelpcenter-${PV}
~trinity-base/khotkeys-${PV}
- svg? ( ~media-libs/libart_lgpl-${PV} )"
+ svg? ( media-libs/libart_lgpl )"
TSM_EXTRACT_ALSO="kicker/ twin/ kdesktop/ klipper/ kxkb/"
src_configure() {
- mycmakeargs=(
+ local mycmakeargs=(
-DWITH_XCURSOR=ON
-DWITH_XRENDER=ON
-DWITH_USBIDS=/usr/share/misc/usb.ids
diff --git a/trinity-base/tdelibs/tdelibs-14.0.6.ebuild b/trinity-base/tdelibs/tdelibs-14.0.6.ebuild
index 8d32abf8..6bceecf9 100644
--- a/trinity-base/tdelibs/tdelibs-14.0.6.ebuild
+++ b/trinity-base/tdelibs/tdelibs-14.0.6.ebuild
@@ -3,8 +3,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-TRINITY_MODULE_NAME="tdelibs"
+TRINITY_MODULE_NAME="tdelibs"
inherit trinity-base-2 multilib
set-trinityver
@@ -13,12 +13,11 @@ need-arts optional
DESCRIPTION="Trinity libraries needed by all TDE programs."
HOMEPAGE="https://trinitydesktop.org/"
-LICENSE="|| ( GPL-2 GPL-3 )"
+LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="${TRINITY_VER}"
# NOTE: Building without tdehwlib segfaults, but you can try and report.
-
IUSE+=" alsa avahi cups consolekit fam jpeg2k lua lzma +svg +idn +shm elogind
networkmanager openexr aspell sudo tiff utempter elficons +ssl kernel_linux
upower xcomposite +hwlib libressl +xrandr +malloc systemd old_udisks udisks +pcre debug"
@@ -43,7 +42,7 @@ MY_DEPEND="~dev-tqt/tqtinterface-${PV}
shm? ( x11-libs/libxshmfence )
idn? ( net-dns/libidn )
pcre? ( dev-libs/libpcre )
- svg? ( ~media-libs/libart_lgpl-${PV} )
+ svg? ( media-libs/libart_lgpl )
alsa? ( media-libs/alsa-lib )
avahi? ( net-dns/avahi )
cups? ( net-print/cups )
diff --git a/trinity-base/tdelibs/tdelibs-14.0.7.ebuild b/trinity-base/tdelibs/tdelibs-14.0.7.ebuild
index 8d32abf8..6bceecf9 100644
--- a/trinity-base/tdelibs/tdelibs-14.0.7.ebuild
+++ b/trinity-base/tdelibs/tdelibs-14.0.7.ebuild
@@ -3,8 +3,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-TRINITY_MODULE_NAME="tdelibs"
+TRINITY_MODULE_NAME="tdelibs"
inherit trinity-base-2 multilib
set-trinityver
@@ -13,12 +13,11 @@ need-arts optional
DESCRIPTION="Trinity libraries needed by all TDE programs."
HOMEPAGE="https://trinitydesktop.org/"
-LICENSE="|| ( GPL-2 GPL-3 )"
+LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="${TRINITY_VER}"
# NOTE: Building without tdehwlib segfaults, but you can try and report.
-
IUSE+=" alsa avahi cups consolekit fam jpeg2k lua lzma +svg +idn +shm elogind
networkmanager openexr aspell sudo tiff utempter elficons +ssl kernel_linux
upower xcomposite +hwlib libressl +xrandr +malloc systemd old_udisks udisks +pcre debug"
@@ -43,7 +42,7 @@ MY_DEPEND="~dev-tqt/tqtinterface-${PV}
shm? ( x11-libs/libxshmfence )
idn? ( net-dns/libidn )
pcre? ( dev-libs/libpcre )
- svg? ( ~media-libs/libart_lgpl-${PV} )
+ svg? ( media-libs/libart_lgpl )
alsa? ( media-libs/alsa-lib )
avahi? ( net-dns/avahi )
cups? ( net-print/cups )
diff --git a/trinity-base/tdelibs/tdelibs-9999.ebuild b/trinity-base/tdelibs/tdelibs-9999.ebuild
index e0f16ba2..e843dc29 100644
--- a/trinity-base/tdelibs/tdelibs-9999.ebuild
+++ b/trinity-base/tdelibs/tdelibs-9999.ebuild
@@ -3,8 +3,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-TRINITY_MODULE_NAME="tdelibs"
+TRINITY_MODULE_NAME="tdelibs"
inherit trinity-base-2
set-trinityver
@@ -13,12 +13,11 @@ need-arts optional
DESCRIPTION="Trinity libraries needed by all TDE programs."
HOMEPAGE="https://trinitydesktop.org/"
-LICENSE="|| ( GPL-2 GPL-3 )"
+LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="${TRINITY_VER}"
# NOTE: Building without tdehwlib segfaults, but you can try and report.
-
IUSE+=" alsa avahi cups consolekit cryptsetup fam jpeg2k lua lzma udevil +svg +idn +shm elogind
networkmanager openexr pcsc-lite aspell ispell sudo tiff utempter elficons +ssl pkcs11 kernel_linux
upower xcomposite +hwlib libressl +xrandr +malloc systemd old_udisks udisks +pcre debug spell"
@@ -42,7 +41,7 @@ MY_DEPEND="~dev-tqt/tqtinterface-${PV}
shm? ( x11-libs/libxshmfence )
idn? ( net-dns/libidn )
pcre? ( dev-libs/libpcre )
- svg? ( ~media-libs/libart_lgpl-${PV} )
+ svg? ( media-libs/libart_lgpl )
alsa? ( media-libs/alsa-lib )
avahi? ( ~dev-tqt/avahi-tqt-${PV} )
cups? ( net-print/cups )
diff --git a/trinity-base/tdm/tdm-14.0.6.ebuild b/trinity-base/tdm/tdm-14.0.6.ebuild
index efcee332..f57e0a14 100644
--- a/trinity-base/tdm/tdm-14.0.6.ebuild
+++ b/trinity-base/tdm/tdm-14.0.6.ebuild
@@ -15,7 +15,7 @@ KEYWORDS="~amd64 ~x86"
DEPEND="pam? ( trinity-base/tdebase-pam )
xdmcp? ( x11-libs/libXdmcp )
xcomposite? ( x11-libs/libXcomposite )
- svg? ( ~media-libs/libart_lgpl-${PV} )
+ svg? ( media-libs/libart_lgpl )
~trinity-base/tdelibs-${PV}[xrandr?]
sys-apps/dbus
x11-libs/libXtst
@@ -33,7 +33,7 @@ pkg_setup() {
}
src_configure() {
- mycmakeargs=(
+ local mycmakeargs=(
-DWITH_XTEST=ON
-DWITH_LIBART="$(usex svg)"
-DWITH_SHADOW=ON
diff --git a/trinity-base/tdm/tdm-14.0.7.ebuild b/trinity-base/tdm/tdm-14.0.7.ebuild
index efcee332..f57e0a14 100644
--- a/trinity-base/tdm/tdm-14.0.7.ebuild
+++ b/trinity-base/tdm/tdm-14.0.7.ebuild
@@ -15,7 +15,7 @@ KEYWORDS="~amd64 ~x86"
DEPEND="pam? ( trinity-base/tdebase-pam )
xdmcp? ( x11-libs/libXdmcp )
xcomposite? ( x11-libs/libXcomposite )
- svg? ( ~media-libs/libart_lgpl-${PV} )
+ svg? ( media-libs/libart_lgpl )
~trinity-base/tdelibs-${PV}[xrandr?]
sys-apps/dbus
x11-libs/libXtst
@@ -33,7 +33,7 @@ pkg_setup() {
}
src_configure() {
- mycmakeargs=(
+ local mycmakeargs=(
-DWITH_XTEST=ON
-DWITH_LIBART="$(usex svg)"
-DWITH_SHADOW=ON
diff --git a/trinity-base/tdm/tdm-9999.ebuild b/trinity-base/tdm/tdm-9999.ebuild
index 0a0369ac..2baec00c 100644
--- a/trinity-base/tdm/tdm-9999.ebuild
+++ b/trinity-base/tdm/tdm-9999.ebuild
@@ -3,8 +3,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
-TRINITY_MODULE_NAME="tdebase"
+TRINITY_MODULE_NAME="tdebase"
inherit trinity-meta-2
DESCRIPTION="Trinity login manager, similar to XDM and GDM"
@@ -14,7 +14,7 @@ IUSE="pam xdmcp xcomposite sak +xrandr +hwlib +svg"
DEPEND="pam? ( trinity-base/tdebase-pam )
xdmcp? ( x11-libs/libXdmcp )
xcomposite? ( x11-libs/libXcomposite )
- svg? ( ~media-libs/libart_lgpl-${PV} )
+ svg? ( media-libs/libart_lgpl )
~trinity-base/tdelibs-${PV}[xrandr?]
sys-apps/dbus
x11-libs/libXtst
@@ -31,7 +31,7 @@ pkg_setup() {
}
src_configure() {
- mycmakeargs=(
+ local mycmakeargs=(
-DWITH_XTEST=ON
-DWITH_SHADOW=ON
-DWITH_LIBART="$(usex svg)"